---
title: "Get CRM objects"
slug: "get-crm-objects-v2crmentities-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CRM objects (/v2/crm/entities)

Get/v2/crm/entities<style>.public-api-info {    background: rgb(222, 235, 255);}.public-api-tip {    background: rgb(227, 252, 239);}.public-api-parameter {    background: rgba(9,30,66,0.08);}.public-api-note {    background: rgb(234, 230, 255);}.public-api-important {    background: rgb(255, 250, 230);}.public-api-critical {    background: rgb(255, 235, 230);}table, th, td {  border: 1px solid gray;  border-collapse: collapse;}th, td {  padding: 5px;}th {  text-align: left;}img {  border: 2px solid #D3D5D9;}</style>

## This API is for use in the **development phase only**, to manually verify that objects are uploaded and processed correctly in Gong.

Returns a JSON object where each key is the object’s crm id and the corresponding value is a nested JSON object representing the CRM object fields. Each key in the nested JSON is the field name and the corresponding value is the field value.

The objects are fetched from the Gong main DB. If the object is not found, the JSON’s value is null.

The request body contains an array of objects ids.

The request is limited to 100 objects. If more than 100 objects are requested only the first 100 are returned.

When accessed using a bearer token, this endpoint requires the 'api:crm:get-objects' scope.

### Example

#### Request

`GET https://api.gong.io/v2/crm/entities?integrationId=6286478263646&objectType=DEAL`  
  
`["1234","8765"] //request body`

Query parametersintegrationIdinteger (int64) Required

Integration ID generated when creating the integration

objectTypestringRequired

Requested objects type

Valid values[
  "ACCOUNT",
  "CONTACT",
  "DEAL",
  "LEAD"
]
objectsCrmIdsarray of stringRequired

**Request Body:** The requested objects crm ids (should be sent in the request body)

Responses200

Successfully retrieved requested objects data

<select class='api-response-data' aria-label='Media type'><option value='fda99e1e-b1fe-4c3f-9282-eb7f3733dddf'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
crmObjectsMapobject  

crmObjects

property*object  additionalProperties

crmObjects

property*object  additionalProperties

crmObjects

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='468b7288-217a-449d-9eb7-b931e55df47f'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='0434bd91-3f61-4544-a41f-81dcbb21eab6'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='58f64b44-7145-4af7-8f5c-6b3e5e40ab46'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='6d9109f7-9318-4778-b950-fd4d415bd546'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
